package cn.hnthyy.thmz.controller;

import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.RequestMapping;

/**
 * 导航控制层，负责路由功能
 */
@Controller
@Slf4j
public class NavigationController {
    /**
     * 打开主页面
     * @return
     */
    @RequestMapping("/index")
    public String index() {
        return "index";
    }
    /**
     * 打开登录页面
     * @return
     */
    @RequestMapping("/login/view")
    public String loginView() {
        return "login";
    }
    /**
     * 打开导航页面
     * @return
     */
    @RequestMapping("/menu/view")
    public String menuView() {
        return "menu";
    }

    /**
     * 打开科室列表页面
     * @return
     */
    @RequestMapping("/unit-code")
    public String unitCode() {
        return "unit_code";
    }
    /**
     * 打开挂号管理页面
     * @return
     */
    @RequestMapping("/registration")
    public String registration() {
        return "registration";
    }
}
